Bug 1016591 - Call trace gadget does not work after EPN undeployment
Call trace gadget does not work after EPN undeployment
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Eric Wittmann
Jiri Pechanec
:
: 1019967 1033021 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 07:29 EDT by Jiri Pechanec
Modified: 2014-02-06 10:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SRAMP-255 Major Closed Undeployment of *any* web app in JBoss 7/EAP 6 results in broken authentication in Overlord apps 2015-09-07 06:25:13 EDT

  None (edit)
Description Jiri Pechanec 2013-10-08 07:29:30 EDT
Have a configuration with rtgov server and rtgov client

1) Deploy sla/epn and ordermanagement/ip to rtgovs
2) Deploy ordermanagement/app and ip to rtgovc
3) Send 10 meessages to ordermanagement app
4) Set calltrace gadget to use an orderid of used messages
5) Undeploy sla/epn
6) Send 10 meessages to ordermanagement app
7) Refresh webpage with calltrace gadget

The gadget should be empty and log contains an exception

13:28:12,285 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.authenticate(JBossCachedAuthenticationManager.java:333)                                                                                          
13:28:12,284 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/gadget-web].[ServiceOverviewProxyServlet]] (http-/127.0.0.1:8080-1) JBWEB000236: Servlet.service() for servlet ServiceOverviewProxyServlet threw exception: java.io.IOException: Server returned HTTP response code: 401 for URL: http://localhost:8080/overlord-rtgov/service/dependency/overview?width=300                                                                                                                                                          
























13:28:12,285 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.isValid(JBossCachedAuthenticationManager.java:146)                                                                                               
13:28:12,285 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.as.web.security.JBossWebRealm.authenticate(JBossWebRealm.java:216)                                                                                                                                        
13:28:12,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.authenticator.BasicAuthenticator.authenticate(BasicAuthenticator.java:178)                                                                                                                      
13:28:12,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:447)                                                                                                                              
13:28:12,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:12,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:12,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)                                                                                                          
13:28:12,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)                                                                                                                                       
13:28:12,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)                                                                                                                                        
13:28:12,287 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)                                                                                                                                   
13:28:12,287 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)                                                                                                                                         
13:28:12,287 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)                                                                                                                                          
13:28:12,287 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)                                                                                                                    
13:28:12,287 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)                                                                                                                                             
13:28:12,287 ERROR [stderr] (http-/127.0.0.1:8080-10)   at java.lang.Thread.run(Thread.java:724)                                                                                                                                                                               
13:28:12,288 ERROR [stderr] (http-/127.0.0.1:8080-11) java.lang.IllegalArgumentException: No PolicyContextHandler for key=javax.servlet.http.HttpServletRequest                                                                                                                
13:28:12,288 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.jacc.PolicyContext.getContext(PolicyContext.java:96)                                                                                                                                                 
13:28:12,288 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.overlord.commons.auth.jboss7.SAMLBearerTokenLoginModule.login(SAMLBearerTokenLoginModule.java:112)                                                                                                              
13:28:12,288 ERROR [stderr] (http-/127.0.0.1:8080-11)   at sun.reflect.GeneratedMethodAccessor195.invoke(Unknown Source)                                                                                                                                                       
13:28:12,288 ERROR [stderr] (http-/127.0.0.1:8080-11)   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)                                                                                                                               
13:28:12,289 ERROR [stderr] (http-/127.0.0.1:8080-11)   at java.lang.reflect.Method.invoke(Method.java:606)                                                                                                                                                                    
13:28:12,289 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext.invoke(LoginContext.java:784)                                                                                                                                                
13:28:12,289 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext.access$000(LoginContext.java:203)                                                                                                                                            
13:28:12,289 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext$4.run(LoginContext.java:698)                                                                                                                                                 
13:28:12,289 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext$4.run(LoginContext.java:696)                                                                                                                                                 
13:28:12,289 ERROR [stderr] (http-/127.0.0.1:8080-11)   at java.security.AccessController.doPrivileged(Native Method)                                                                                                                                                          
13:28:12,290 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext.invokePriv(LoginContext.java:695)                                                                                                                                            
13:28:12,290 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext.login(LoginContext.java:594)                                                                                                                                                 
13:28:12,290 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.defaultLogin(JBossCachedAuthenticationManager.java:408)                                                                                          
13:28:12,290 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.proceedWithJaasLogin(JBossCachedAuthenticationManager.java:345)                                                                                  
13:28:12,290 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.authenticate(JBossCachedAuthenticationManager.java:333)                                                                                          
13:28:12,290 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.isValid(JBossCachedAuthenticationManager.java:146)                                                                                               
13:28:12,291 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.as.web.security.JBossWebRealm.authenticate(JBossWebRealm.java:216)                                                                                                                                        
13:28:12,291 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.authenticator.BasicAuthenticator.authenticate(BasicAuthenticator.java:178)                                                                                                                      
13:28:12,291 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:447)                                                                                                                              
13:28:12,295 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:12,295 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:12,296 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)                                                                                                          
13:28:12,296 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)                                                                                                                                       
13:28:12,296 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)                                                                                                                                        
13:28:12,296 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)                                                                                                                                   
13:28:12,296 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)                                                                                                                                         
13:28:12,297 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)                                                                                                                                          
13:28:12,297 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)                                                                                                                    
13:28:12,297 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)                                                                                                                                             
13:28:12,297 ERROR [stderr] (http-/127.0.0.1:8080-11)   at java.lang.Thread.run(Thread.java:724)                                                                                                                                                                               
13:28:43,266 ERROR [stderr] (http-/127.0.0.1:8080-11) java.lang.IllegalArgumentException: No PolicyContextHandler for key=javax.servlet.http.HttpServletRequest                                                                                                                
13:28:43,266 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.jacc.PolicyContext.getContext(PolicyContext.java:96)                                                                                                                                                 
13:28:43,266 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.overlord.commons.auth.jboss7.SAMLBearerTokenLoginModule.login(SAMLBearerTokenLoginModule.java:112)                                                                                                              
13:28:43,267 ERROR [stderr] (http-/127.0.0.1:8080-11)   at sun.reflect.GeneratedMethodAccessor195.invoke(Unknown Source)                                                                                                                                                       
13:28:43,267 ERROR [stderr] (http-/127.0.0.1:8080-11)   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)                                                                                                                               
13:28:43,267 ERROR [stderr] (http-/127.0.0.1:8080-11)   at java.lang.reflect.Method.invoke(Method.java:606)                                                                                                                                                                    
13:28:43,267 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext.invoke(LoginContext.java:784)                                                                                                                                                
13:28:43,267 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext.access$000(LoginContext.java:203)                                                                                                                                            
13:28:43,267 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext$4.run(LoginContext.java:698)                                                                                                                                                 
13:28:43,268 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext$4.run(LoginContext.java:696)                                                                                                                                                 
13:28:43,268 ERROR [stderr] (http-/127.0.0.1:8080-11)   at java.security.AccessController.doPrivileged(Native Method)                                                                                                                                                          
13:28:43,268 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext.invokePriv(LoginContext.java:695)                                                                                                                                            
13:28:43,268 ERROR [stderr] (http-/127.0.0.1:8080-11)   at javax.security.auth.login.LoginContext.login(LoginContext.java:594)                                                                                                                                                 
13:28:43,268 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.defaultLogin(JBossCachedAuthenticationManager.java:408)                                                                                          
13:28:43,268 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.proceedWithJaasLogin(JBossCachedAuthenticationManager.java:345)                                                                                  
13:28:43,269 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.authenticate(JBossCachedAuthenticationManager.java:333)                                                                                          
13:28:43,269 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.isValid(JBossCachedAuthenticationManager.java:146)                                                                                               
13:28:43,269 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.as.web.security.JBossWebRealm.authenticate(JBossWebRealm.java:216)                                                                                                                                        
13:28:43,269 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.authenticator.BasicAuthenticator.authenticate(BasicAuthenticator.java:178)                                                                                                                      
13:28:43,269 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:447)                                                                                                                              
13:28:43,270 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:43,270 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:43,270 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)                                                                                                          
13:28:43,270 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)                                                                                                                                       
13:28:43,270 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)                                                                                                                                        
13:28:43,270 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)                                                                                                                                   
13:28:43,271 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)                                                                                                                                         
13:28:43,272 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)                                                                                                                                          
13:28:43,272 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)                                                                                                                    
13:28:43,272 ERROR [stderr] (http-/127.0.0.1:8080-11)   at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)                                                                                                                                             
13:28:43,272 ERROR [stderr] (http-/127.0.0.1:8080-11)   at java.lang.Thread.run(Thread.java:724)                                                                                                                                                                               
13:28:43,272 ERROR [stderr] (http-/127.0.0.1:8080-9) java.lang.IllegalArgumentException: No PolicyContextHandler for key=javax.servlet.http.HttpServletRequest                                                                                                                 
13:28:43,274 ERROR [stderr] (http-/127.0.0.1:8080-9)    at javax.security.jacc.PolicyContext.getContext(PolicyContext.java:96)                                                                                                                                                 
13:28:43,274 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.overlord.commons.auth.jboss7.SAMLBearerTokenLoginModule.login(SAMLBearerTokenLoginModule.java:112)                                                                                                              
13:28:43,274 ERROR [stderr] (http-/127.0.0.1:8080-9)    at sun.reflect.GeneratedMethodAccessor195.invoke(Unknown Source)                                                                                                                                                       
13:28:43,274 ERROR [stderr] (http-/127.0.0.1:8080-9)    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)                                                                                                                               
13:28:43,274 ERROR [stderr] (http-/127.0.0.1:8080-9)    at java.lang.reflect.Method.invoke(Method.java:606)                                                                                                                                                                    
13:28:43,274 ERROR [stderr] (http-/127.0.0.1:8080-9)    at javax.security.auth.login.LoginContext.invoke(LoginContext.java:784)                                                                                                                                                
13:28:43,275 ERROR [stderr] (http-/127.0.0.1:8080-9)    at javax.security.auth.login.LoginContext.access$000(LoginContext.java:203)                                                                                                                                            
13:28:43,275 ERROR [stderr] (http-/127.0.0.1:8080-9)    at javax.security.auth.login.LoginContext$4.run(LoginContext.java:698)                                                                                                                                                 
13:28:43,275 ERROR [stderr] (http-/127.0.0.1:8080-9)    at javax.security.auth.login.LoginContext$4.run(LoginContext.java:696)                                                                                                                                                 
13:28:43,275 ERROR [stderr] (http-/127.0.0.1:8080-9)    at java.security.AccessController.doPrivileged(Native Method)                                                                                                                                                          
13:28:43,275 ERROR [stderr] (http-/127.0.0.1:8080-9)    at javax.security.auth.login.LoginContext.invokePriv(LoginContext.java:695)                                                                                                                                            
13:28:43,275 ERROR [stderr] (http-/127.0.0.1:8080-9)    at javax.security.auth.login.LoginContext.login(LoginContext.java:594)                                                                                                                                                 
13:28:43,276 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.jboss.security.authentication.JBossCachedAuthenticationManager.defaultLogin(JBossCachedAuthenticationManager.java:408)                                                                                          
13:28:43,276 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.jboss.security.authentication.JBossCachedAuthenticationManager.proceedWithJaasLogin(JBossCachedAuthenticationManager.java:345)                                                                                  
13:28:43,276 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.jboss.security.authentication.JBossCachedAuthenticationManager.authenticate(JBossCachedAuthenticationManager.java:333)                                                                                          
13:28:43,276 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.jboss.security.authentication.JBossCachedAuthenticationManager.isValid(JBossCachedAuthenticationManager.java:146)                                                                                               
13:28:43,276 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.jboss.as.web.security.JBossWebRealm.authenticate(JBossWebRealm.java:216)                                                                                                                                        
13:28:43,276 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.apache.catalina.authenticator.BasicAuthenticator.authenticate(BasicAuthenticator.java:178)                                                                                                                      
13:28:43,276 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:447)                                                                                                                              
13:28:43,276 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:43,276 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:43,277 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)                                                                                                          
13:28:43,277 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)                                                                                                                                       
13:28:43,277 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)                                                                                                                                        
13:28:43,277 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)                                                                                                                                   
13:28:43,277 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)                                                                                                                                         
13:28:43,277 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)                                                                                                                                          
13:28:43,277 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)                                                                                                                    
13:28:43,277 ERROR [stderr] (http-/127.0.0.1:8080-9)    at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)                                                                                                                                             
13:28:43,277 ERROR [stderr] (http-/127.0.0.1:8080-9)    at java.lang.Thread.run(Thread.java:724)                                                                                                                                                                               
13:28:43,278 ERROR [stderr] (http-/127.0.0.1:8080-7) java.lang.IllegalArgumentException: No PolicyContextHandler for key=javax.servlet.http.HttpServletRequest                                                                                                                 
13:28:43,278 ERROR [stderr] (http-/127.0.0.1:8080-7)    at javax.security.jacc.PolicyContext.getContext(PolicyContext.java:96)                                                                                                                                                 
13:28:43,278 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.overlord.commons.auth.jboss7.SAMLBearerTokenLoginModule.login(SAMLBearerTokenLoginModule.java:112)                                                                                                              
13:28:43,278 ERROR [stderr] (http-/127.0.0.1:8080-7)    at sun.reflect.GeneratedMethodAccessor195.invoke(Unknown Source)                                                                                                                                                       
13:28:43,278 ERROR [stderr] (http-/127.0.0.1:8080-7)    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)                                                                                                                               
13:28:43,279 ERROR [stderr] (http-/127.0.0.1:8080-7)    at java.lang.reflect.Method.invoke(Method.java:606)                                                                                                                                                                    
13:28:43,279 ERROR [stderr] (http-/127.0.0.1:8080-7)    at javax.security.auth.login.LoginContext.invoke(LoginContext.java:784)                                                                                                                                                
13:28:43,279 ERROR [stderr] (http-/127.0.0.1:8080-7)    at javax.security.auth.login.LoginContext.access$000(LoginContext.java:203)                                                                                                                                            
13:28:43,279 ERROR [stderr] (http-/127.0.0.1:8080-7)    at javax.security.auth.login.LoginContext$4.run(LoginContext.java:698)                                                                                                                                                 
13:28:43,279 ERROR [stderr] (http-/127.0.0.1:8080-7)    at javax.security.auth.login.LoginContext$4.run(LoginContext.java:696)                                                                                                                                                 
13:28:43,279 ERROR [stderr] (http-/127.0.0.1:8080-7)    at java.security.AccessController.doPrivileged(Native Method)                                                                                                                                                          
13:28:43,280 ERROR [stderr] (http-/127.0.0.1:8080-7)    at javax.security.auth.login.LoginContext.invokePriv(LoginContext.java:695)                                                                                                                                            
13:28:43,280 ERROR [stderr] (http-/127.0.0.1:8080-7)    at javax.security.auth.login.LoginContext.login(LoginContext.java:594)                                                                                                                                                 
13:28:43,280 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.jboss.security.authentication.JBossCachedAuthenticationManager.defaultLogin(JBossCachedAuthenticationManager.java:408)                                                                                          
13:28:43,280 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.jboss.security.authentication.JBossCachedAuthenticationManager.proceedWithJaasLogin(JBossCachedAuthenticationManager.java:345)                                                                                  
13:28:43,280 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.jboss.security.authentication.JBossCachedAuthenticationManager.authenticate(JBossCachedAuthenticationManager.java:333)                                                                                          
13:28:43,280 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.jboss.security.authentication.JBossCachedAuthenticationManager.isValid(JBossCachedAuthenticationManager.java:146)                                                                                               
13:28:43,281 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.jboss.as.web.security.JBossWebRealm.authenticate(JBossWebRealm.java:216)                                                                                                                                        
13:28:43,281 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.apache.catalina.authenticator.BasicAuthenticator.authenticate(BasicAuthenticator.java:178)                                                                                                                      
13:28:43,281 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:447)                                                                                                                              
13:28:43,281 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:43,281 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:43,281 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)                                                                                                          
13:28:43,282 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)                                                                                                                                       
13:28:43,282 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)                                                                                                                                        
13:28:43,282 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)                                                                                                                                   
13:28:43,282 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)                                                                                                                                         
13:28:43,282 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)                                                                                                                                          
13:28:43,282 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)                                                                                                                    
13:28:43,283 ERROR [stderr] (http-/127.0.0.1:8080-7)    at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)                                                                                                                                             
13:28:43,283 ERROR [stderr] (http-/127.0.0.1:8080-7)    at java.lang.Thread.run(Thread.java:724)                                                                                                                                                                               
13:28:43,283 ERROR [stderr] (http-/127.0.0.1:8080-10) java.lang.IllegalArgumentException: No PolicyContextHandler for key=javax.servlet.http.HttpServletRequest                                                                                                                
13:28:43,283 ERROR [stderr] (http-/127.0.0.1:8080-10)   at javax.security.jacc.PolicyContext.getContext(PolicyContext.java:96)                                                                                                                                                 
13:28:43,283 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.overlord.commons.auth.jboss7.SAMLBearerTokenLoginModule.login(SAMLBearerTokenLoginModule.java:112)                                                                                                              
13:28:43,284 ERROR [stderr] (http-/127.0.0.1:8080-10)   at sun.reflect.GeneratedMethodAccessor195.invoke(Unknown Source)                                                                                                                                                       
13:28:43,284 ERROR [stderr] (http-/127.0.0.1:8080-10)   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)                                                                                                                               
13:28:43,284 ERROR [stderr] (http-/127.0.0.1:8080-10)   at java.lang.reflect.Method.invoke(Method.java:606)                                                                                                                                                                    
13:28:43,284 ERROR [stderr] (http-/127.0.0.1:8080-10)   at javax.security.auth.login.LoginContext.invoke(LoginContext.java:784)                                                                                                                                                
13:28:43,284 ERROR [stderr] (http-/127.0.0.1:8080-10)   at javax.security.auth.login.LoginContext.access$000(LoginContext.java:203)                                                                                                                                            
13:28:43,284 ERROR [stderr] (http-/127.0.0.1:8080-10)   at javax.security.auth.login.LoginContext$4.run(LoginContext.java:698)                                                                                                                                                 
13:28:43,285 ERROR [stderr] (http-/127.0.0.1:8080-10)   at javax.security.auth.login.LoginContext$4.run(LoginContext.java:696)                                                                                                                                                 
13:28:43,285 ERROR [stderr] (http-/127.0.0.1:8080-10)   at java.security.AccessController.doPrivileged(Native Method)                                                                                                                                                          
13:28:43,285 ERROR [stderr] (http-/127.0.0.1:8080-10)   at javax.security.auth.login.LoginContext.invokePriv(LoginContext.java:695)                                                                                                                                            
13:28:43,285 ERROR [stderr] (http-/127.0.0.1:8080-10)   at javax.security.auth.login.LoginContext.login(LoginContext.java:594)                                                                                                                                                 
13:28:43,285 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.defaultLogin(JBossCachedAuthenticationManager.java:408)                                                                                          
13:28:43,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.proceedWithJaasLogin(JBossCachedAuthenticationManager.java:345)                                                                                  
13:28:43,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.authenticate(JBossCachedAuthenticationManager.java:333)                                                                                          
13:28:43,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.isValid(JBossCachedAuthenticationManager.java:146)                                                                                               
13:28:43,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.as.web.security.JBossWebRealm.authenticate(JBossWebRealm.java:216)                                                                                                                                        
13:28:43,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.authenticator.BasicAuthenticator.authenticate(BasicAuthenticator.java:178)                                                                                                                      
13:28:43,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:447)                                                                                                                              
13:28:43,286 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:43,289 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)                                                                                                                            
13:28:43,289 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)                                                                                                          
13:28:43,289 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)                                                                                                                                       
13:28:43,290 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)                                                                                                                                        
13:28:43,290 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)
13:28:43,290 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)
13:28:43,290 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)
13:28:43,290 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)
13:28:43,290 ERROR [stderr] (http-/127.0.0.1:8080-10)   at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)
13:28:43,291 ERROR [stderr] (http-/127.0.0.1:8080-10)   at java.lang.Thread.run(Thread.java:724)
13:28:43,291 ERROR [stderr] (http-/127.0.0.1:8080-22) java.lang.IllegalArgumentException: No PolicyContextHandler for key=javax.servlet.http.HttpServletRequest
13:28:43,292 ERROR [stderr] (http-/127.0.0.1:8080-22)   at javax.security.jacc.PolicyContext.getContext(PolicyContext.java:96)
13:28:43,292 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.overlord.commons.auth.jboss7.SAMLBearerTokenLoginModule.login(SAMLBearerTokenLoginModule.java:112)
13:28:43,292 ERROR [stderr] (http-/127.0.0.1:8080-22)   at sun.reflect.GeneratedMethodAccessor195.invoke(Unknown Source)
13:28:43,292 ERROR [stderr] (http-/127.0.0.1:8080-22)   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
13:28:43,292 ERROR [stderr] (http-/127.0.0.1:8080-22)   at java.lang.reflect.Method.invoke(Method.java:606)
13:28:43,292 ERROR [stderr] (http-/127.0.0.1:8080-22)   at javax.security.auth.login.LoginContext.invoke(LoginContext.java:784)
13:28:43,293 ERROR [stderr] (http-/127.0.0.1:8080-22)   at javax.security.auth.login.LoginContext.access$000(LoginContext.java:203)
13:28:43,293 ERROR [stderr] (http-/127.0.0.1:8080-22)   at javax.security.auth.login.LoginContext$4.run(LoginContext.java:698)
13:28:43,293 ERROR [stderr] (http-/127.0.0.1:8080-22)   at javax.security.auth.login.LoginContext$4.run(LoginContext.java:696)
13:28:43,293 ERROR [stderr] (http-/127.0.0.1:8080-22)   at java.security.AccessController.doPrivileged(Native Method)
13:28:43,293 ERROR [stderr] (http-/127.0.0.1:8080-22)   at javax.security.auth.login.LoginContext.invokePriv(LoginContext.java:695)
13:28:43,293 ERROR [stderr] (http-/127.0.0.1:8080-22)   at javax.security.auth.login.LoginContext.login(LoginContext.java:594)
13:28:43,294 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.defaultLogin(JBossCachedAuthenticationManager.java:408)
13:28:43,294 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.proceedWithJaasLogin(JBossCachedAuthenticationManager.java:345)
13:28:43,294 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.authenticate(JBossCachedAuthenticationManager.java:333)
13:28:43,294 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.jboss.security.authentication.JBossCachedAuthenticationManager.isValid(JBossCachedAuthenticationManager.java:146)
13:28:43,294 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.jboss.as.web.security.JBossWebRealm.authenticate(JBossWebRealm.java:216)
13:28:43,294 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.apache.catalina.authenticator.BasicAuthenticator.authenticate(BasicAuthenticator.java:178)
13:28:43,294 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:447)
13:28:43,295 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)
13:28:43,295 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50)
13:28:43,295 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)
13:28:43,295 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)
13:28:43,295 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)
13:28:43,295 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)
13:28:43,295 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)
13:28:43,296 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)
13:28:43,296 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)
13:28:43,296 ERROR [stderr] (http-/127.0.0.1:8080-22)   at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)
13:28:43,296 ERROR [stderr] (http-/127.0.0.1:8080-22)   at java.lang.Thread.run(Thread.java:724)
Comment 1 Gary Brown 2013-10-15 10:17:40 EDT
Have reproduced this in community using the following instructions:

1) Deploy rtgov (server) to EAP+switchyard

2) Startup the server with standalone-full.xml

3) Go to the rtgov/samples and run: mvn jboss-as:deploy

4) Startup gadget web, create a page and add the four gadgets - allow them time to do an update (i.e. make a request to get content from the server).

5) Go to the rtgov/samples/sla/epn folder and run: mvn jboss-as:undeploy

When the gadgets go to do a refresh they will get exceptions on the server.

As a separate note, when reproducing the original set of steps, one of the exceptions related to a 401 on the service overview REST service. I tried using the URL directly, and it returns the diagram, so implies it wasn't related to the REST service, but the gadget server servlet proxy.

So undeploying the EPN appears to have an effect on the authentication mechanism.
Comment 2 Eric Wittmann 2013-10-21 14:40:47 EDT
When I try to reproduce Gary's steps using ER6 I get the following error:

Caused by: java.util.MissingResourceException: Can't find resource for bundle java.util.PropertyResourceBundle, key SERVICE-DEPENDENCY-SVG-1
        at java.util.ResourceBundle.getObject(ResourceBundle.java:393) [rt.jar:1.7.0_21]
        at java.util.ResourceBundle.getString(ResourceBundle.java:353) [rt.jar:1.7.0_21]
        at org.overlord.rtgov.service.dependency.svg.SVGServiceGraphGenerator.loadTemplate(SVGServiceGraphGenerator.java:817) [service-dependency-svg-1.0.0.Final-redhat-4.jar:1.0.0.Final-redhat-4]

Will try to get to the bottom of this error first.
Comment 3 Eric Wittmann 2013-10-21 16:00:01 EDT
Ok so I worked through that problem (actually two problems - both fixed).  This issue comes from the following line of code:

  http://bit.ly/17EZOaH

This code works properly (it extracts the current HTTP servlet request from the PolicyContext) *before* the "mvn jboss-as:deploy" step above.

However, *after* the "mvn jboss-as:deploy" step, this fails with:

No PolicyContextHandler for key=javax.servlet.http.HttpServletRequest

I suspect this is a bug in EAP?  I believe JACC *requires* that a policy context handler of type "javax.servlet.http.HttpServletRequest" must exist.  So it seems that the undeploy step somehow unregisters this handler.

I'm still looking into this more (along with potential workarounds).
Comment 4 Eric Wittmann 2013-10-21 16:30:33 EDT
After further research I *may* have found the source of the bug.  When the jboss-as:undeploy is called, this code is executed:

http://bit.ly/19oMcDE

See the "stop(StopContext)" method, which is responsible, presumably, for stopping the web realm for just a single deployment unit.  Unfortunately, the stop() method seems to remove the web request handler from the PolicyContext.  But the PolicyContext is static, and thus the handler is unregistered from *all* deployment units and all threads.

I'm guessing this is a bug that should be fixed in EAP.

To workaround this problem I believe I need to implement a valve which can grab the inbound http request and set it in a threadlocal so that it is available to be used by the login module.
Comment 5 Eric Wittmann 2013-10-22 08:04:57 EDT
I created a simple project to reproduce the problem.  It can be found here:

  https://github.com/EricWittmann/eap-bug-1016591

I believe this shows the bug in EAP.  I should be able to create a workaround using a Valve, but it seems like this should be something we consider fixing in EAP maybe?
Comment 6 Eric Wittmann 2013-10-22 08:16:55 EDT
*** Bug 1019967 has been marked as a duplicate of this bug. ***
Comment 7 JBoss JIRA Server 2013-10-23 13:33:47 EDT
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira SRAMP-255 to Resolved
Comment 8 JBoss JIRA Server 2013-10-23 13:34:00 EDT
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira SRAMP-255 to Closed
Comment 9 JBoss JIRA Server 2013-10-23 13:34:33 EDT
Eric Wittmann <eric.wittmann@redhat.com> made a comment on jira SRAMP-255

Note: the "fix" is to install a Valve in each of the relevant web apps that will stash the inbound Request object in a thread local variable so that the login module has access to it.
Comment 10 Eric Wittmann 2013-10-29 09:27:39 EDT
A workaround as described above has been implemented.  The login module now looks for the Request first in the thread local variable.  If not found there, it will attempt to find the Request in the PolicyContext.  The former will only work if the application is configured to use the valve.

The following BZ exists to fix the PolicyContext bug:

  https://bugzilla.redhat.com/show_bug.cgi?id=1022069

Once that bug is fixed, then the PolicyContext approach will always work and the thread local valve will not be required.

In either case, the overlord apps should now have the valve configured, and thus should work in all cases.
Comment 11 kconner 2013-11-22 16:29:44 EST
*** Bug 1033021 has been marked as a duplicate of this bug. ***
Comment 12 Jiri Pechanec 2013-12-18 06:49:52 EST
Verified in ER7

Note You need to log in before you can comment on or make changes to this bug.